Package twisted :: Package conch :: Package ssh :: Module forwarding :: Class SSHListenForwardingChannel

[show private | hide private]
[frames | no frames]

## Class SSHListenForwardingChannel

    SSHChannel --+
                 |
                SSHListenForwardingChannel

Known Subclasses:
  `SSHListenServerForwardingChannel`, `SSHListenClientForwardingChannel`

Method Summary
| `__init__(self, localWindow, localMaxPacket, remoteWindow, remoteMaxPacket, conn)` (inherited from `SSHChannel`)
| ``addWindowBytes`(self, bytes)` Called when bytes are added to the remote window. (inherited from `SSHChannel`)
| ``channelOpen`(self, specificData)` Called when the channel is opened.
| ``closed`(self)` Called when the channel is closed.
| ``dataReceived`(self, data)` Called when we receive data.
| ``eofReceived`(self)` Called when the other side will send no more data.
| ``extReceived`(self, dataType, data)` Called when we receive extended data (usually standard error). (inherited from `SSHChannel`)
`tuple` | ``getHost`(self)` Return a tuple describing out side of the connection. (inherited from `SSHChannel`)
`tuple` | ``getPeer`(self)` Return a tuple describing the other side of the connection. (inherited from `SSHChannel`)
| ``loseConnection`(self)` Close the channel. (inherited from `SSHChannel`)
| ``openFailed`(self, reason)` Called when the the open failed for some reason.
`bool` | ``requestReceived`(self, requestType, data)` Called when a request is sent to this channel. (inherited from `SSHChannel`)
| ``write`(self, data)` Write some data to the channel. (inherited from `SSHChannel`)
| ``writeExtended`(self, dataType, data)` Send extended data to this channel. (inherited from `SSHChannel`)
| ``writeSequence`(self, data)` Part of the Transport interface. (inherited from `SSHChannel`)

Method Details

### channelOpen(self, specificData)

Called when the channel is opened. specificData is any data that the other side sent us when opening the channel.

  Parameters:
    `specificData`
    (type=`str`)
  Overrides:
    `twisted.conch.ssh.connection.SSHChannel.channelOpen` (inherited documentation)

### closed(self)

Called when the channel is closed.

  Overrides:
    `twisted.conch.ssh.connection.SSHChannel.closed` (inherited documentation)

### dataReceived(self, data)

Called when we receive data.

  Parameters:
    `data`
    (type=`str`)
  Overrides:
    `twisted.conch.ssh.connection.SSHChannel.dataReceived` (inherited documentation)

### eofReceived(self)

Called when the other side will send no more data.

  Overrides:
    `twisted.conch.ssh.connection.SSHChannel.eofReceived` (inherited documentation)

### openFailed(self, reason)

Called when the the open failed for some reason. reason.desc is a string descrption, reason.code the the SSH error code.

  Parameters:
    `reason`
    (type=`error.ConchError`)
  Overrides:
    `twisted.conch.ssh.connection.SSHChannel.openFailed` (inherited documentation)

Generated by Epydoc 1.1 on Sat Feb 15 21:18:55 2003 | http://epydoc.sf.net